### TechNote

Number:06613-01
Date:April 1994

## Smart II Software: IPX parameters

### 1 Introduction

This document describes the parameters that affect the operation of the IPX interface on a particular Ringnode in your workstation. For information about enabling the Smart II Software interfaces and using a SMART.CFG file, see TechNote 06608.

If you are using SMART.CFG to configure your Smart II Software, you must place all of the IPX parameters in the [IPX] section. The example below displays part of a SMART.CFG containing some of the IPX parameters.

    [HOST]              ; Host parameters here.
         [CARD]         ; First card section.
              [IPX]     ; Install the IPX interface.
              co=20     ; 20 IPX connections.
              sr=y      ; Use source routing.
         [CARD]         ; Second card section.
              io=1a20   ; I/O location is 1a20.
              [LLC]     ; Install the LLC interface.

The table below contains a list of all the IPX parameters. Section 2 describes each parameter more fully.

    Parameter            Abbreviation

    ABORT.TIMEOUT        AT
    CONNECTIONS          CO
    CACHE.TIMEOUT        TIME
    DEFAULT.BROADCAST    DEF
    GENERAL.BROADCAST    GBR
    INT64.OFF            I64
    INT7A.OFF            7A
    IPX.COMMANDS         IC
    LISTEN.TIMEOUT       LT
    MULTICAST.BROADCAST  MBR
    RETRY.COUNT          RC
    RETRY.TIME           RT
    SOCKETS              SO
    SOURCE.ROUTING       SR
    SOURCE.ROUTE.NODES   NODES
    THIS.RING.ALT        TRA
    THIS.RING.ONLY       TRO
    VERIFY.TIMEOUT       VT

If you are configuring your Smart II Software from the command line, you can put the IPX parameters anywhere. However, we recommend that you put them all together.

A sample command line, which enables an IPX interface with 32 sockets, and configures it to perform source routing, is as follows:

`SMART IPX SOCKETS=32 SR=Y`

### 2 IPX parameters

This section describes the IPX parameters. Abbreviations are given for those parameters than can be shortened.

ABORT.TIMEOUT
  Specifies the length of time that SPX (Sequence Packet eXchange) waits for a response from a remote node before it assumes that the remote node has terminated the connection. (SPX is enabled when you enable the IPX interface.) If the network is busy, or you are connecting across one or more bridges, you might need to increase this value.

  ABORT.TIMEOUT is measured in units of 55 milliseconds (approximately 1/18 of a second).

  Range: 0 - 65000
  Default: 540 (30 seconds)
  Abbreviation: AT
  Example: `AT=500`

CONNECTIONS
  Specifies the maximum number of active SPX connections that you can have at any one time. IPX uses at least one connection for diagnostic purposes.

  This parameter has a minimum value of 3. If you specify 3 or less, connections is set to 3.

  Range: 0 - 255
  Minimum value: 3
  Default: 32
  Abbreviation: CO
  Example: `CO=20`

CACHE.TIMEOUT
  Specifies the length of time that a source-routing cache entry remains valid. The source-routing information used to route to a known node does not change for this length of time (in seconds). The default value of 10 gives a timeout of 10 seconds.

  If you set CACHE.TIMEOUT to zero, the source-routing cache entry lasts about 8 hours.

  Range: 0 - 255
  Default: 10
  Abbreviation: TIME
  Example: `TIME=20`

DEFAULT.BROADCAST
  Ensures that all broadcasts used to determine the route to unknown addresses (addresses that are not in the workstation's source-routing table) are sent as all-route broadcasts. If you do not specify DEFAULT.BROADCAST, broadcasts to unknown addresses are sent as single-route broadcasts.

  This parameter is similar to the DEF parameter of ROUTE.COM. It only applies if you enable source routing.

  Abbreviation: DEF

GENERAL.BROADCAST
  Ensures that all general broadcasts are sent as all-route broadcasts. If you do not use GENERAL.BROADCAST, general broadcasts are sent as single-route broadcasts. This parameter is similar to the GBR parameter of ROUTE.COM. It only applies if you enable source routing.

  Abbreviation: GBR

INT64.OFF
  Prevents IPX from using the software interrupt INT64. If you are running an application that uses software interrupt INT64, use this parameter. If you are using an old IPX application that accesses IPX via INT64 do not use this parameter.

  Abbreviation: I64

INT7A.OFF
  Prevents IPX from using the software interrupt INT7A. If you are running an application that uses software interrupt INT7A, use this parameter. If you are using an old IPX application that accesses IPX via INT7A, do not use this parameter.

  Abbreviation: I7A

IPX.COMMANDS
  Specifies the maximum number of commands that are outstanding to IPX at any one time. IPX may use up to five commands internally for routing and diagnostic purposes.

  This parameter has a minimum value of 12. If you specify a value of 12 or less, IPX.COMMANDS is set to 12.

  Range: 0 - 255
  Minimum value: 12
  Default: 40
  Abbreviation: IC
  Example: `IC=20`

IPX.OPEN
  Specifies whether IPX automatically opens the Ringnode when the Smart II Software loads.

  You only need this parameter if you are using the IBM 3270 Emulation Program.

  Range: Yes or Y, No or N
  Default: Yes
  Abbreviation: IPXO
  Example: `IPXO=N`

LISTEN.TIMEOUT
  Specifies the length of time that SPX waits for a frame on a connection before it demands a response from the communicating computer. LISTEN.TIMEOUT is measured in units of 55 milliseconds (approximately 1/18 of a second).

  Range: 0 - 65000
  Default: 108 (6 seconds)
  Abbreviation: LT
  Example: `LT=54`

MULTICAST.BROADCAST
  Allows multicast broadcasts to be sent as all-route broadcasts. By default, multicast broadcasts are sent as single-route broadcasts. This parameter is similar to the MBR parameter of ROUTE.COM. It only applies if you enable source routing.

  Abbreviation: MBR

RETRY.COUNT
  Specifies the number of attempts that SPX makes to send a frame before it returns an error.

  Range: 0 - 255
  Default: 12
  Abbreviation: RC
  Example: `RC=20`

RETRY.TIME
  Specifies the time, in units of 1/100 second, between successive attempts by SPX to send a frame. If you have SPX links over slow wide-area networks, then increase this value.

  Range: 0 - 65000
  Default: 100 (1 second)
  Abbreviation: RT
  Example: `RT=20`

SOCKETS
  Specifies the maximum number of active IPX sockets that you can have at any one time. IPX uses up to three sockets for routing and diagnostic purposes. The Novell workstation shell (NETX.EXE) can use up to four sockets, and the Madge SMARTBOOT II program can use up to two. Other IPX applications typically use one or two sockets each.

  This parameter has a minimum value of 16. If you specify 16 or less, SOCKETS is set to 16.

  Range: 0 - 255
  Minimum value: 16
  Default: 32
  Abbreviation: SO
  Example: `SO=20`

SOURCE.ROUTING
  Enables source routing. If you need the IPX protocols to operate across IBM-compatible source-routing bridges, set this parameter to YES. If you have no bridges on your network, or only NetWare IPX routers, set this parameter to NO (the default). Only use this parameter if you have enabled source routing for all the servers you wish to communicate with.

  Range: YES, Y, NO or N
  Default: NO
  Abbreviation: SR
  Example: `SR=Y`

  This parameter replaces Novell's ROUTE.COM program. If you enable source routing, seven additional parameters are available:

  - DEFAULT.BROADCAST
  - CACHE.TIMEOUT
  - GENERAL.BROADCAST
  - MULTICAST.BROADCAST
  - SOURCE.ROUTE.NODES
  - THIS.RING.ALT
  - THIS.RING.ONLY

  SOURCE.ROUTE.NODES
    Defines the size of the source-routing table that is maintained by the IPX interface. This parameter is similar to the NODES parameter of ROUTE.COM.

    Range: 8 - 255
    Default: 8 (or 0 if you do not enable source routing)
    Abbreviation: NODES
    Example: `NODES=20`

  THIS.RING.ALT
    This is the number of times a frame to an unknown address is sent (alternately) with and without broadcast, before broadcast alone is used to reach remote rings.

    Range: 0 - 255 Default: 0 Abbreviation: TRA Example: `TRA=10`

  THIS.RING.ONLY
    This is the number of times a frame to an unknown address is sent on the local ring before a broadcast is used to reach remote rings.

    Range: 0 - 255
    Default: 0
    Abbreviation: TRO
    Example: `TRO=10`

  VERIFY.TIMEOUT
    Specifies the length of time that SPX waits before sending a frame down an idle connection to keep that connection open. This parameter is measured in units of 55 milliseconds (approximately 1/18 of a second).

    Range: 0 - 65000
    Default: 54 (3 seconds)
    Abbreviation: VT
    Example: `VT=18`